for i in range(5):
    print(i * 2)

negativok = []
for i in range(7, 11):
    negativok.append(-i)
negativok # [-7, -8, -9, -10]

for i in range(1, 31, 3):
    if i % 9 == 0:
        print(i)

orszagok = ['India', 'Kína', 'Japán']
for orszag in orszagok:
    print(orszag)
orszagok # megmaradt a lista tartalma, nem kellett kiszedegetnünk az elemeit

orszagok = ['India', 'Kína', 'Japán']
for sorszam in range(len(orszagok)):
    print("A(z) " + str(sorszam + 1) + ". ország neve '" + orszagok[sorszam] + "'.")

eredeti_szoveg = "szeretek programozni, mert sok benne a kihívás."
uj_szoveg = ""
szokezdet = True
for betu in eredeti_szoveg:
    if szokezdet:
        uj_szoveg = uj_szoveg + betu.upper()
    else:
        uj_szoveg = uj_szoveg + betu
    szokezdet = betu == " " # az aktuális betű szóköz-e (a következő betű szóeleji-e)
uj_szoveg # 'Szeretek Programozni, Mert Sok Benne A Kihívás.'

halmaz = {2, 7, -3, 6}
for elem in halmaz: # az összes elemen végigmegy, de véletlen sorrendben
    print(elem)

szotar = {"a": 2, "b": 6, "c": 49, "d": 31, "e": 14}
osszeg = 0
for ertek in szotar.values():
    osszeg = osszeg + ertek
osszeg # 102

szotar = {"a": 2, "b": 6, "c": 49, "d": 31, "e": 14}
kulcsok_osszefuzve = ""
for kulcs in szotar.keys():
    kulcsok_osszefuzve = kulcsok_osszefuzve + kulcs
kulcsok_osszefuzve # 'abcde'

szotar = {"a": 2, "b": 6, "c": 49, "d": 31, "e": 14}
ertekek = []
for kulcs, ertek in szotar.items():
    if kulcs in "aeiou": # ha magánhangzó
        ertekek.append(ertek)
    else:
        ertekek.append(-ertek)
ertekek # [2, -6, -49, -31, 14]

# szorzótábla
for i in range(1, 11):
    for j in range(1, 11): # a j független az i-től
        print(str(i) + " × " + str(j) + " = " + str(i * j))

# dominó
for bal in range(1, 7):
    for jobb in range(bal, 7): # a j függ az i-től (ismétlődő dominó nem lehet)
        print("." * bal + " | " + "." * jobb)

osszetett_lista = [[6, 2, 9], [4, 8, 1, 10, 2], [3, 5, 8]]
legkisebb_ertekek = []
for allista in osszetett_lista:
    legkisebb = allista[0]
    for elem in allista:
        if elem < legkisebb: # ha talált kisebb elemet
            legkisebb = elem # lecseréli
    legkisebb_ertekek.append(legkisebb)
legkisebb_ertekek # [2, 1, 3]

